longhorn:
  preUpgradeChecker:
    jobEnabled: false

  # UI/manager
  ui:
    enabled: true

  # RBAC et service accounts (Helm gère par défaut)
  rbac:
    create: true

  # Installer CRDs si pas déjà faits
  installCRDs: true

  image:
    longhorn:
      manager:
        registry: "harbor.gkdomaine.local"
        repository: images/longhorn-manager
        tag: v1.10.1
      ui:
        registry: "harbor.gkdomaine.local"
        repository: images/longhorn-ui
        tag: v1.10.1
      shareManager:
        registry: "harbor.gkdomaine.local"
        repository: images/longhorn-share-manager
        tag: v1.10.1

  ingress:
    enabled: true
    host: longhorn.dev.gkdomaine.local
    pathType: Prefix

  # Persistence
  persistence:
    # Créer la StorageClass Longhorn et la définir comme par défaut
    # Nécessaire pour que les PVC puissent se lier aux volumes
    defaultClass: true
    defaultClassReplicaCount: 1

  defaultSettings:
    defaultDataPath: /var/lib/longhorn
    defaultDiskSelector: ""
    defaultDataLocality: "best-effort"
    defaultClassReplicaCount: 1
    # -- Permet de monter le volume même si 1 seul réplica est disponible
    allowVolumeCreationWithDegradedAvailability: true 
    # -- Nombre de réplicas par défaut pour l'UI (si vous créez des volumes manuellement)
    defaultReplicaCount: 1
    # -- Autorise plusieurs réplicas sur le même nœud/disque (essentiel pour 1 seul nœud)
    replicaSoftAntiAffinity: true
    # Force la réservation à 0 car le disque est dédié à Longhorn
    storageMinimalAvailablePercentage: 0